Serve promoted desktop update file

Summary

  • Source repository: jef-systems/jef-desktop-store-backend

  • Source SHA: 677bee5aec55a92eea33efdcc4d8a5ee1b83e2c6

  • Source run id: 32513999072

  • Module: Desktop-store

  • Lambda function: jef-desktop-store-get-application-update-feed-file

  • HTTP method: GET

  • Invocation mode: sync

  • Package mode: no-package

  • API category: Desktop-store Complex Sync No Package GET APIs

  • API path: /desktop-store/complex-sync-no-packages/jef-desktop-store-updates/{application\_name}/{file\_name}

  • Endpoint URL: https://api.jefoffice.com/desktop-store/complex-sync-no-packages/jef-desktop-store-updates/{application\_name}/{file\_name}

  • Documentation scope: lambda-complex-sync-no-packages

Synchronous Lambda Complex Rule

This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.

Description

Reads one application pointer, returns the canonical release manifest or legacy feed text, or redirects binary files to S3.

Payload Example

{
  "application_name": "jef-accounting",
  "file_name": "release-manifest.json"
}

Payload Schema

{
  "root": {
    "type": "M",
    "required": true,
    "attributes": {
      "application_name": {
        "type": "S",
        "required": true,
        "regex": "^[A-Za-z0-9 .,'_-]{1,120}$"
      },
      "file_name": {
        "type": "S",
        "required": true,
        "regex": "^(release-manifest[.]json|latest[.]yml|update-manifest[.]json|[A-Za-z0-9 ._-]{1,180}[.]exe|[A-Za-z0-9 ._-]{1,180}[.]exe[.]blockmap)$"
      }
    }
  }
}

Response Schema

{
  "root": {
    "type": "M",
    "required": false,
    "additional_properties": true,
    "attributes": {},
    "description": "Placeholder component for mixed raw-text and redirect responses. Per-status schemas are declared in tags.yml."
  }
}

CMD curl

curl.exe -X GET "https://api.jefoffice.com/desktop-store/complex-sync-no-packages/jef-desktop-store-updates/{application_name}/{file_name}"

PowerShell curl

curl.exe -X GET "https://api.jefoffice.com/desktop-store/complex-sync-no-packages/jef-desktop-store-updates/{application_name}/{file_name}"